Brivio API reference
Payment links

Cancel an open payment link. 409 when already paid or not cancellable. Honours Idempotency-Key. (scope: payments:write)

POST
/payment-links/{id}/cancel

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Payment link id

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/payment-links/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"
{  "data": {    "provider_cancelled": true,    "link": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "token": "string",      "url": "http://example.com",      "amount_minor": 0,      "currency": "str",      "description": "string",      "customer_email": "string",      "customer_name": "string",      "status": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "paid_at": "2019-08-24T14:15:22Z"    }  },  "error": null}